<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:paddingLeft="@dimen/activity_horizontal_margin">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:baselineAligned="false"
            android:divider="@drawable/spacer_medium"
            android:showDividers="middle">

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@color/transparent"
                app:boxBackgroundColor="@color/transparent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtLat"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/transparent"
                    android:enabled="false"
                    android:hint="@string/Lat"
                    android:inputType="numberDecimal"
                    android:maxLines="1"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:background="@color/transparent"
                app:boxBackgroundColor="@color/transparent">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/edtLon"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/transparent"
                    android:enabled="false"
                    android:hint="@string/Lon"
                    android:inputType="numberDecimal"
                    android:maxLines="1"
                    android:singleLine="true" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btnGetGPS"
                style="@style/Widget.MaterialComponents.Button.Icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:insetLeft="0dp"
                android:insetTop="0dp"
                android:insetRight="0dp"
                android:insetBottom="0dp"
                android:minWidth="40dp"
                app:icon="@drawable/ic_location"
                app:iconGravity="textStart"
                app:iconPadding="0dp"
                app:iconSize="24dp" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/btnDelGPS"
                style="@style/Widget.MaterialComponents.Button.Icon"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:insetLeft="0dp"
                android:insetTop="0dp"
                android:insetRight="0dp"
                android:insetBottom="0dp"
                android:minWidth="40dp"
                app:icon="@drawable/ic_delete"
                app:iconGravity="textStart"
                app:iconPadding="0dp"
                app:iconSize="24dp" />

        </LinearLayout>
    </LinearLayout>

</FrameLayout>